Bug 424871 - Implement netif_release_rx_bufs for copying receiver
Implement netif_release_rx_bufs for copying receiver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Dutile
Martin Jenner
:
Depends On: 437423
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 05:58 EST by Ian Campbell
Modified: 2008-07-24 15:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-xen 137:41918416db51 ported to 2.6.9-67.EL (3.62 KB, patch)
2007-12-14 05:58 EST, Ian Campbell
no flags Details | Diff

  None (edit)
Description Ian Campbell 2007-12-14 05:58:58 EST
+++ This bug was initially created as a clone of Bug #424861 +++

Description of problem:

This kernel does not implement netif_release_rx_bufs for copying receiver which
leaks grant references on hot unplug. This was implemented upstream in 
http://xenbits.xensource.com/linux-2.6.18-xen.hg?rev/41918416db51

Version-Release number of selected component (if applicable):

2.6.9.67.EL

-- Additional comment from ijc@hellion.org.uk on 2007-12-14 05:57 EST --
Created an attachment (id=288991)
linux-2.6.18-xen 137:41918416db51 backported to 2.6.18-53.el5
Comment 1 Ian Campbell 2007-12-14 05:58:58 EST
Created attachment 289001 [details]
linux-2.6.18-xen 137:41918416db51 ported to 2.6.9-67.EL
Comment 2 Don Dutile 2007-12-14 14:33:50 EST
A test is needed to show the problem & the fix.
Would a simple rmmod of xen-vnif be sufficient ?
Comment 3 Ian Campbell 2007-12-14 14:43:08 EST
It might but the scenario I was thinking was to attach and detach a VIF from
domain0 using xm network-attach and network-detach.
Comment 4 Bill Burns 2008-02-28 16:28:45 EST
Set devel ack.
Comment 5 Don Dutile 2008-03-19 17:57:18 EDT
Part of post for 437423 -- pv-on-hvm support built into rhel4.7.
Comment 7 Bill Burns 2008-04-30 14:15:46 EDT
Fix for this is already in, as part of the post for bz 437423. Added dependency.

Comment 11 errata-xmlrpc 2008-07-24 15:23:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.